Bug 32774 - Daily alpha NBMs not published
Daily alpha NBMs not published
Status: RESOLVED FIXED
Product: www
Classification: Unclassified
Component: Builds & Repositories
3.x
All All
: P1 with 1 vote (vote)
: 3.x
Assigned To: rbalada
nbbuild-issues@ide
:
Depends on: 31962
Blocks: 27756 33098
  Show dependency treegraph
 
Reported: 2003-04-09 17:06 UTC by Jesse Glick
Modified: 2003-04-24 18:35 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-04-09 17:06:32 UTC
I mentioned this problem several times in other
issue reports expecting that it would be solved
the next day, but it wasn't. This is high priority.

The alpha update servers for 3.5 and dev do not
include any NBMs from the moduleconfig
daily-alpha-nbms.

http://www.netbeans.org/updates/alpha/dev_1.6_.xml
http://www.netbeans.org/updates/alpha/35_1.6_.xml

include the *_alpha_release.ent lists but not the
*_alpha_daily.ent lists.

Ruda did this as part of issue #31962.

Please include daily alpha NBMs back in the alpha
update servers for 3.5 and dev. If the
translatedfiles localized NBMs are currently
broken - which seems likely, based on issue #32437
- then simply remove translatedfiles from the
daily-alpha-nbms moduleconfig in
nbbuild/build.properties in r35 and trunk until
#32437 is fixed and the translated NBMs have been
tested and are functional.
Comment 1 vbrabant 2003-04-13 13:20:32 UTC
Because somes modules have been removed from the release 3.5, the
issue wold be resolved as soon as possible. Otherwize, please re-add
the removed modules ;-) .

Vbb
Comment 2 Jesse Glick 2003-04-13 17:53:49 UTC
Vincent - I think you meant to look at issue #32771. Removed modules
such as JNDI should be built in the daily alpha NBMs, but more
relevantly for most users, particular versions known to work with 3.5
should be published on stable or perhaps beta update servers. That is
a separate matter from this bug.
Comment 3 vbrabant 2003-04-13 21:35:57 UTC
Jesses, you are right and i am wrong.
sorry
Comment 4 Jesse Glick 2003-04-21 16:39:30 UTC
See also issue #33097 - for now may be wiser to use a single big XML
file, rather than XML entity includes, since Crimson seems unable to
parse the entities correctly.

Workaround for this bug is given in #33097. To sum up:

1. Restart with the option

-J-Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl

e.g. in your $nbhome/bin/ide.cfg.

2. Go to Tools -> Options and select Autoupdate Types. Expand the node.

3. Right-click it; select New -> NetBeans Update Center.

4. Name it e.g. Hack.

5. Click on the new Hack update type. Change Server URL to

http://www.netbeans.org/updates/alpha/35_alpha_daily.xml

or

http://www.netbeans.org/updates/alpha/dev_alpha_daily.xml

if you want to try dev updates (they may work in 3.5 too, and
currently localizations are *only* here: see issue #27756).

6. Make sure Enabled is set to True on Hack, and to False on NetBeans
Update Center Alpha.

7. Now try Auto Update. There will be some NumberFormatException's.
Ignore them (issue #33095).

You should now see the full list of daily alpha NBMs, except for a few
localized NBMs (the NumberFormatException's) if you were using the dev
version of alpha update center.

I.e. as far as I can tell, a more or less correct version of the alpha
update URL *is* being published:

http://www.netbeans.org/updates/alpha/${v}_alpha_daily.xml

(v = "35" or "dev")

but the actual URL predefined in NetBeans is

http://www.netbeans.org/updates/alpha/${v}_1.6_.xml

which includes only a handful of "released" alpha modules and does not
include the daily NBMs.
Comment 5 Jesse Glick 2003-04-21 16:54:08 UTC
Sorry, forgot that the localized NBMs are not downloadable even if you
can parse them, due to issue #32437. So no advantage to using dev over
35 alpha update center at the moment; you cannot get any localized
NBMs anyway.
Comment 6 rbalada 2003-04-24 18:35:54 UTC
Back online. Due to issue 33097 the *Daily* Alpha Update Center has
been discontinued in the form of external xml entity and though Alpha
*Release* and *Daily* Update centres have been merged into one catalog
and are served from one place.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo